## org.hibernate.property
Class IndexPropertyAccessor

    java.lang.Object
      org.hibernate.property.IndexPropertyAccessor

All Implemented Interfaces:
  PropertyAccessor

    public class IndexPropertyAccessor

extends Object
implements PropertyAccessor

Represents a "back-reference" to the index of a collection.

Nested Class Summary
`class` `IndexPropertyAccessor.IndexGetter` The Getter implementation for index backrefs.
`static class` `IndexPropertyAccessor.IndexSetter` The Setter implementation for index backrefs.

Constructor Summary
`IndexPropertyAccessor(String collectionRole, String entityName)` Constructs a new instance of IndexPropertyAccessor.

Method Summary
`Getter` `getGetter(Class theClass, String propertyName)` Create a "getter" for the named attribute
`Setter` `getSetter(Class theClass, String propertyName)` Create a "setter" for the named attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexPropertyAccessor

    public IndexPropertyAccessor(String collectionRole,
                                 String entityName)

  Constructs a new instance of IndexPropertyAccessor.

  Parameters:
    `collectionRole` - The collection role which this back ref references.
    `entityName` - The name of the entity owning the collection.

Method Detail

### getSetter

    public Setter getSetter(Class theClass,
                            String propertyName)

  Description copied from interface: `PropertyAccessor`
  Create a "setter" for the named attribute

  Specified by:
    `getSetter` in interface `PropertyAccessor`
  Parameters:
    `theClass` - The class on which the property is defined.
    `propertyName` - The name of the property.
  Returns:
    An appropriate setter

### getGetter

    public Getter getGetter(Class theClass,
                            String propertyName)

  Description copied from interface: `PropertyAccessor`
  Create a "getter" for the named attribute

  Specified by:
    `getGetter` in interface `PropertyAccessor`
  Parameters:
    `theClass` - The class on which the property is defined.
    `propertyName` - The name of the property.
  Returns:
    An appropriate getter.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.